%global _empty_manifest_terminate_build 0
Name:           python-xattr
Version:        1.1.0
Release:        1
Summary:        Python wrapper for extended filesystem attributes
License:        MIT
URL:            http://github.com/xattr/xattr
Source0:        https://files.pythonhosted.org/packages/82/00/2190aa29d36a7f79484448f01726fe6fb1e7270d1cb1ec39713cee9abe49/xattr-%{version}.tar.gz
%description
Extended attributes extend the basic attributes of files and directories in the file system.
They are stored as name:data pairs associated with file system objects (files, directories, symlinks, etc).

%package -n python3-xattr
Summary:        Python wrapper for extended filesystem attributes
Provides:       python-xattr
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-cffi
BuildRequires:  gcc
BuildRequires:  gdb
# General requires
# General requires
Requires:       python3-cffi
%description -n python3-xattr
Extended attributes extend the basic attributes of files and directories in the file system.
They are stored as name:data pairs associated with file system objects (files, directories, symlinks, etc).

%package help
Summary:        Python wrapper for extended filesystem attributes
Provides:       python3-xattr-doc
%description help
Extended attributes extend the basic attributes of files and directories in the file system.
They are stored as name:data pairs associated with file system objects (files, directories, symlinks, etc).

%prep
%autosetup -n xattr-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
# disable tests
#%{__python3} setup.py test

%files -n python3-xattr -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Mar 05 2024 wangqiang <wangqiang1@kylinos.cn> - 1.1.0-1
- Update to 1.1.0

* Wed Jan 10 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 1.0.0-1
- Update package to version 1.0.0

* Mon Dec 12 2022 wubijie <wubijie@kylinos.cn> - 0.10.1-1
- Update package to version 0.10.1

* Wed Jul 06 2022 OpenStack_SIG <openstack@openeuler.org> - 0.9.9-2
- Disable test

* Fri May 13 2022 OpenStack_SIG <openstack@openeuler.org> - 0.9.9-1
- Upgrade package python3-xattr to version 0.9.9

* Wed Aug 11 2021 OpenStack_SIG <openstack@openeuler.org> - 0.9.7-1
- Package Spec generate
